summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Reza Talebi2019-10-05 01:38:31 +0200
committer Willy Sudiarto Raharjo2019-10-05 01:38:31 +0200
commit9806cc87f246985e3547d4e4cb90e8898d7c3083 (patch)
treef080fdd32b25023453c638078cbd8e1226a09076 /libraries
parent50782b80234203eb2243b75ea36115a29c9bd5e3 (diff)
downloadslackbuilds-9806cc87f246985e3547d4e4cb90e8898d7c3083.tar.gz
libraries/aspnetcore-runtime: Added (Runtime for ASP.NET apps).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/aspnetcore-runtime/README8
-rw-r--r--libraries/aspnetcore-runtime/aspnetcore-runtime.SlackBuild75
-rw-r--r--libraries/aspnetcore-runtime/aspnetcore-runtime.info10
-rw-r--r--libraries/aspnetcore-runtime/doinst.sh1
-rw-r--r--libraries/aspnetcore-runtime/slack-desc19
5 files changed, 113 insertions, 0 deletions
diff --git a/libraries/aspnetcore-runtime/README b/libraries/aspnetcore-runtime/README
new file mode 100644
index 0000000000..ddde4dad30
--- /dev/null
+++ b/libraries/aspnetcore-runtime/README
@@ -0,0 +1,8 @@
+.NET Core is an open-source, general-purpose development platform
+maintained by Microsoft and the .NET community on GitHub.
+It's cross-platform (supporting Windows, macOS, and Linux)
+and can be used to build device, cloud, and IoT applications.
+
+This package contains everything you need to run a ASP.NET application.
+It includes ASP.NET Core runtime and .NET Core runtime.
+If you want to build apps, install .NET Core SDK (dotnet-sdk), which contais these runtimes too.
diff --git a/libraries/aspnetcore-runtime/aspnetcore-runtime.SlackBuild b/libraries/aspnetcore-runtime/aspnetcore-runtime.SlackBuild
new file mode 100644
index 0000000000..23de55e7f4
--- /dev/null
+++ b/libraries/aspnetcore-runtime/aspnetcore-runtime.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Slackware build script for aspnetcore-runtime.
+#
+# Copyright 2019 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aspnetcore-runtime
+VERSION=${VERSION:-3.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+if [ "$( uname -m )" = "x86_64" ]; then
+ ARCH="x86_x64"
+ ARCHITECTURE="x64"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="amd64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BUILD}
+mkdir -p $PRGNAM-${VERSION}-${BUILD}
+cd $PKG
+mkdir -p usr/share/dotnet
+tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C usr/share/dotnet
+chown -R root:root usr/share/dotnet
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -c n $OUTPUT/$PRGNAM-$VERSION-$BUILD-$ARCH$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/aspnetcore-runtime/aspnetcore-runtime.info b/libraries/aspnetcore-runtime/aspnetcore-runtime.info
new file mode 100644
index 0000000000..103ec5b6c3
--- /dev/null
+++ b/libraries/aspnetcore-runtime/aspnetcore-runtime.info
@@ -0,0 +1,10 @@
+PRGNAM="aspnetcore-runtime"
+VERSION="3.0.0"
+HOMEPAGE="https://dotnet.microsoft.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.visualstudio.microsoft.com/download/pr/b0c44e05-b7a1-4221-94ec-a0c0d3a11eed/afc61567dd6db8f097e244871889458c/aspnetcore-runtime-3.0.0-linux-x64.tar.gz"
+MD5SUM_x86_64="953d1fcef81eba738ccf30589563ec59"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"
diff --git a/libraries/aspnetcore-runtime/doinst.sh b/libraries/aspnetcore-runtime/doinst.sh
new file mode 100644
index 0000000000..ec1d7e5165
--- /dev/null
+++ b/libraries/aspnetcore-runtime/doinst.sh
@@ -0,0 +1 @@
+ln -s /usr/share/dotnet/dotnet /usr/bin/dotnet
diff --git a/libraries/aspnetcore-runtime/slack-desc b/libraries/aspnetcore-runtime/slack-desc
new file mode 100644
index 0000000000..ec199de2ea
--- /dev/null
+++ b/libraries/aspnetcore-runtime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aspnetcore-runtime: aspnetcore-runtime (Runtime for ASP.NET applications)
+aspnetcore-runtime:
+aspnetcore-runtime: .NET Core is an open-source, general-purpose development platform
+aspnetcore-runtime: maintained by Microsoft and the .NET community on GitHub. It's
+aspnetcore-runtime: cross-platform (supporting Windows, macOS, and Linux) and can be
+aspnetcore-runtime: used to build device, cloud, and IoT applications. This package
+aspnetcore-runtime: contains everything you need to run a ASP.NET application.
+aspnetcore-runtime: It includes ASP.NET runtime and .NET Core runtime (dotnet-runtime).
+aspnetcore-runtime:
+aspnetcore-runtime: https://dotnet.microsoft.com/
+aspnetcore-runtime: